This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 882206 - ovirt-node: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
ovirt-node: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Deutsch
:
Depends On:
Blocks: 881785
  Show dependency treegraph
 
Reported: 2012-11-30 06:48 EST by Kay Sievers
Modified: 2015-12-02 08:34 EST (History)
7 users (show)

See Also:
Fixed In Version: ovirt-node-3.0.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-28 06:58:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kay Sievers 2012-11-30 06:48:54 EST
Fedora is migrating away from:
 /etc/sysconfig/network (the HOSTNAME=... setting)
 /etc/sysconfig/keyboard
 /etc/sysconfig/i18n
to:
 /etc/hostname
 /etc/vconsole.conf
 /etc/locale.conf

See the tracker bug 881785 for details.

We found:
 ovirt-config-hostname: HOSTNAME_FILE="/etc/sysconfig/network

Please update the package for the new config files.

The old files are converted and deleted from the system at update time.
If reading the old files is still supported, please make sure they are
never created again.

Thanks!
Comment 1 Fabian Deutsch 2013-04-12 08:56:00 EDT
These two patches are a first shot to migrate to the new methods, but keeping the legacy methods for centos+rhel.

http://gerrit.ovirt.org/13836 -- hostname
http://gerrit.ovirt.org/13837 -- locale

Basically the patches pull the configuration of the topic into one central places, which is using either the new or legacy way.

Needs testing.

Note You need to log in before you can comment on or make changes to this bug.